Results 1 to 5 of 5
  1. #1


    Member Since
    Dec 07, 2010
    Posts
    2
    Update Mac 10.2.3
    Hello. I have Power Book G4 with 10.2.3. Can i update this system to Leopard? Thanks.

  2. #2


    Member Since
    Sep 09, 2009
    Location
    Down Under :D
    Posts
    5,484
    Specs:
    Back to my old 2.2GHz C2D MB after selling my MBP and wondering what my next Mac will be :)
    Without the specs of your Powerbook, no one is going to be able to answer that.
    So, the easiest way to answer that is:
    Requirements for Mac OS X v10.5

  3. #3


    Member Since
    Dec 07, 2010
    Posts
    2
    Its an old computer. I will check the specs. Thanks.

  4. #4

    toMACsh's Avatar
    Member Since
    Jul 30, 2009
    Location
    Wisconsin
    Posts
    6,172
    Specs:
    Mac Mini (Late 2014) 2.6GHz Intel Core i5 Memory: 8GB 1600MHz DDR3
    And best of luck finding a reasonably priced retail disc for Leopard. Apple had them by phone order only for awhile, but might be out now.

  5. #5

    harryb2448's Avatar
    Member Since
    Nov 28, 2007
    Location
    Nambucca Heads Australia
    Posts
    22,122
    Specs:
    Imac 27" Retina 5K, 512GB flash memory, 3.3GHz, 16GB memory, macOS Sierra beta.
    If you cannot use Leopard should the processor be less than 867MHz, then go up to Tiger OS X.4 as Jaguar is way, way past it.
    Hang on to those original install discs like grim death! Using OS X.7 or later make a bootable USB thumb drive before running Installer!

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Software Update: Java for Mac OS X 10.6 Update 5, Mac OS X 10.5 Update 10
    By OneMoreThing... in forum Apple Rumors and Reports
    Replies: 0
    Last Post: 06-28-2011, 06:55 PM
  2. Apple releases Mac OS X update to catch MAC Defender malware
    By OneMoreThing... in forum Apple Rumors and Reports
    Replies: 7
    Last Post: 05-31-2011, 09:12 PM
  3. This update requires MAC OS X 10.4.10 or higher / MAC OS X Tiger Only
    By newtomacsneal in forum Running Windows (or anything else) on your Mac
    Replies: 7
    Last Post: 06-21-2009, 11:09 AM
  4. This update requires MAC OS X 10.4.10 or higher / MAC OS X Tiger Only
    By newtomacsneal in forum OS X - Operating System
    Replies: 2
    Last Post: 06-21-2009, 05:15 AM
  5. This update requires the Mac OS X Networking Update???
    By HeyImJ0 in forum iPod Hardware and Accessories
    Replies: 1
    Last Post: 12-31-2005, 06:06 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •